# /packages/ticket-tracker/www/admin/sender-designate.tcl

ad_page_contract {
    Present a list of all parties for user to select the notification sender.

    @author Phong Nguyen (phong@arsdigita.com)
    @author Tony Tseng (tony@arsdigita.com)
    @creation-date 2001-01-06
    @cvs-id $Id: sender-designate.tcl,v 1.1 2001/04/20 20:51:25 donb Exp $
} -properties {
    context_bar:onevalue
    party:multirow
    designated_sender:onerow
}

set context_bar {}
set package_id [ad_conn package_id]

# current designated sender
db_1row sender_select {
      select ttracker_util.notification_sender(:package_id) as party_id,
             acs_object.name(ttracker_util.notification_sender(:package_id)) as name
        from dual
} -column_array {designated_sender}



# get all parties 
# this wouldn't look good on a site w/ more than 100 parties
# hopefully somebody would implement something like a public /admin/users/search for parties soon
db_multirow party parties_select {
    select party_id, 
           acs_object.name(party_id) as name
      from parties 
}
